### Method

# Json Object add_member

deprecated: 0.8

#### Declaration [src]

    void
    json_object_add_member (
      JsonObject* object,
      const gchar* member_name,
      JsonNode* node
    )

#### Description [src]

Adds a new member for the given name and value into an object.

This function will return if the object already contains a member with the same name.

Deprecated since: 0.8

Use `json_object_set_member()` instead.

#### Parameters

`member_name`

  Type: `const gchar*`

  The name of the member.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`node`

  Type: `JsonNode`

  The value of the member.

  The instance takes ownership of the data, and is responsible for freeing it.